Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ifs.util
Class PrologFile.Term

    java.lang.Object
      ifs.util.PrologFile.Term

Enclosing class:
  PrologFile

    public static class PrologFile.Term

extends Object

Term -- it can contain a text and a content (set of terms)

Constructor Summary
`PrologFile.Term(PrologFile.Term[] content)` constructor
`PrologFile.Term(String text)` constructor
`PrologFile.Term(String text, PrologFile.Term[] content)` constructor
`PrologFile.Term(String text, Vector content)` constructor
`PrologFile.Term(Vector content)` constructor

Method Summary
`Object` | `clone()`
`PrologFile.Term` | `element(String name)` element of content named name
`PrologFile.Term` | `elementAt(int idx)` idx-th element of content
`boolean` | `equals(Object o)`
`Vector` | `getContent()` return content
`String` | `getText()` return text
`int` | `indexOf(String name)` index of element of content named name
`int` | `size()` content size
`boolean` | `toBoolean()` return text as boolean
`boolean[]` | `toBooleanArray()` return content as boolean array
`double` | `toDouble()` return text as fouble
`int` | `toInt()` return text as int
`int[]` | `toIntArray()` return content as int array
`long` | `toLong()` return text as long
`String` | `toString()` string representation of term
`String[]` | `toStringArray()` return content as string array

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PrologFile.Term

    public PrologFile.Term(String text)

  constructor

### PrologFile.Term

    public PrologFile.Term(Vector content)

  constructor

### PrologFile.Term

    public PrologFile.Term(String text,
                           Vector content)

  constructor

### PrologFile.Term

    public PrologFile.Term(String text,
                           PrologFile.Term[] content)

  constructor

### PrologFile.Term

    public PrologFile.Term(PrologFile.Term[] content)

  constructor

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getText

    public String getText()

  return text

### getContent

    public Vector getContent()

  return content

### size

    public int size()

  content size

### toInt

    public int toInt()

  return text as int

### toLong

    public long toLong()

  return text as long

### toDouble

    public double toDouble()

  return text as fouble

### toBoolean

    public boolean toBoolean()

  return text as boolean

### toBooleanArray

    public boolean[] toBooleanArray()

  return content as boolean array

### toStringArray

    public String[] toStringArray()

  return content as string array

### toIntArray

    public int[] toIntArray()

  return content as int array

### elementAt

    public PrologFile.Term elementAt(int idx)

  idx-th element of content

### element

    public PrologFile.Term element(String name)

  element of content named name

### indexOf

    public int indexOf(String name)

  index of element of content named name

### toString

    public String toString()

  string representation of term

  Overrides:
    `toString` in class `Object`

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Tomáš Müller